GroupPrincipal (Apache CXF JavaDoc 4.1.0-SNAPSHOT API)
Description: declaration: package: org.apache.cxf.common.security, interface: GroupPrincipal

Package org.apache.cxf.common.security

# Interface GroupPrincipal

All Superinterfaces:
  `Principal`

All Known Implementing Classes:
  `SimpleGroup`

public interface GroupPrincipal extends Principal

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `addMember(Principal user)`
  Adds the specified member to the group.
  `boolean`
  `isMember(Principal member)`
  Returns true if the passed principal is a member of the group.
  `Enumeration<? extends Principal>`
  `members()`
  Returns an enumeration of the members in the group.
  `boolean`
  `removeMember(Principal user)`
  Removes the specified member from the group.

  ### Methods inherited from interface java.security.Principal

  `equals, getName, hashCode, implies, toString`

- ## Method Details

  - ### addMember

    boolean addMember(Principal user)
    Adds the specified member to the group.
    Parameters:
      `user` - the principal to add to this group.
    Returns:
      true if the member was successfully added, false if the principal was already a member.

  - ### removeMember

    boolean removeMember(Principal user)
    Removes the specified member from the group.
    Parameters:
      `user` - the principal to remove from this group.
    Returns:
      true if the principal was removed, or false if the principal was not a member.

  - ### isMember

    boolean isMember(Principal member)
    Returns true if the passed principal is a member of the group. This method does a recursive search, so if a principal belongs to a group which is a member of this group, true is returned.
    Parameters:
      `member` - the principal whose membership is to be checked.
    Returns:
      true if the principal is a member of this group, false otherwise.

  - ### members

    Enumeration<? extends Principal> members()
    Returns an enumeration of the members in the group. The returned objects can be instances of either Principal or Group (which is a subclass of Principal).
    Returns:
      an enumeration of the group members.